Documentação

ReferênciaWhatsApp

Enviar modelo de mensagem

POST
/whatsapp/conversations/{id}/templates
X-API-Key<token>

Chave de API (prefixo nbr_) ou Token de Acesso Pessoal (prefixo pat_)

In: header

Path Parameters

id*string

Identificador único da conversa de WhatsApp

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/whatsapp/conversations/wac_abc123/templates" \  -H "Content-Type: application/json" \  -d '{    "template_id": "wat_2jxsy8cc8v0348asy6t1"  }'
{  "id": "wam_2jxsy8cc8v0348asy6t1",  "conversation_id": "string",  "direction": "inbound",  "source": "webhook",  "meta_message_id": "string",  "type": "text",  "body": "string",  "template_name": "string",  "template_language": "string",  "media_mime_type": "string",  "media_filename": "string",  "has_media": true,  "status": "received",  "status_at": "2019-08-24T14:15:22Z",  "error_code": 0,  "error_title": "string",  "actor_id": "string",  "actor_type": "string",  "occurred_at": "2019-08-24T14:15:22Z"}
{  "type": "validation",  "title": "Validation Failed",  "status": 400,  "detail": "name is required",  "code": "validation.required",  "instance": "/public/v1/brokers",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/validation",  "errors": [    {      "field": "name",      "message": "name is required",      "code": "validation.broker.name_required"    }  ]}
{  "type": "unauthorized",  "title": "Authentication Required",  "status": 401,  "detail": "authentication required",  "code": "unauthorized.auth_required",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/unauthorized"}
{  "type": "forbidden",  "title": "Access Denied",  "status": 403,  "detail": "insufficient permissions",  "code": "forbidden.insufficient_permissions",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/forbidden"}
{  "type": "not_found",  "title": "Resource Not Found",  "status": 404,  "detail": "broker not found",  "code": "not_found.broker",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/not-found"}
{  "type": "rate_limit",  "title": "Rate Limit Exceeded",  "status": 429,  "detail": "rate limit exceeded",  "code": "rate_limit.exceeded",  "retry_after": 60,  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/rate-limit"}
{  "type": "internal",  "title": "Internal Server Error",  "status": 500,  "detail": "an unexpected error occurred",  "code": "internal.unexpected",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/internal"}
Empty